- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreRenderSystemCapabilities.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::RenderSystemCapabilities
| singleton class for storing the capabilities of the graphics card. More...
## Defines
#define | __RenderSystemCapabilities__ 1
## Enumerations
enum | Ogre::Capabilities { Ogre::RSC_AUTOMIPMAP = 0x00000002, Ogre::RSC_BLENDING = 0x00000004, Ogre::RSC_ANISOTROPY = 0x00000008, Ogre::RSC_DOT3 = 0x00000010, Ogre::RSC_CUBEMAPPING = 0x00000020, Ogre::RSC_HWSTENCIL = 0x00000040, Ogre::RSC_VBO = 0x00000080, Ogre::RSC_VERTEX_PROGRAM = 0x00000200, Ogre::RSC_FRAGMENT_PROGRAM = 0x00000400, Ogre::RSC_TEXTURE_COMPRESSION = 0x00000800, Ogre::RSC_TEXTURE_COMPRESSION_DXT = 0x00001000, Ogre::RSC_TEXTURE_COMPRESSION_VTC = 0x00002000, Ogre::RSC_SCISSOR_TEST = 0x00004000, Ogre::RSC_TWO_SIDED_STENCIL = 0x00008000, Ogre::RSC_STENCIL_WRAP = 0x00010000, Ogre::RSC_HWOCCLUSION = 0x00020000, Ogre::RSC_USER_CLIP_PLANES = 0x00040000, Ogre::RSC_VERTEX_FORMAT_UBYTE4 = 0x00080000, Ogre::RSC_INFINITE_FAR_PLANE = 0x00100000, Ogre::RSC_HWRENDER_TO_TEXTURE = 0x00200000, Ogre::RSC_TEXTURE_FLOAT = 0x00400000, Ogre::RSC_NON_POWER_OF_2_TEXTURES = 0x00800000, Ogre::RSC_TEXTURE_3D = 0x01000000, Ogre::RSC_POINT_SPRITES = 0x02000000, Ogre::RSC_POINT_EXTENDED_PARAMETERS = 0x04000000, Ogre::RSC_VERTEX_TEXTURE_FETCH = 0x08000000, Ogre::RSC_MIPMAP_LOD_BIAS = 0x10000000 }
| Enum describing the different hardware capabilities we want to check for. More...

## Define Documentation

#define __RenderSystemCapabilities__ 1

Definition at line 30 of file OgreRenderSystemCapabilities.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008